hl.plugin("hyprbars", function()
	-- TODO: check syntax
    -- bar_height 			= 32,    -- old value: 36
    -- bar_padding 		= "12",
    -- bar_button_padding 		= 18,
    -- bar_text_size 		= 11,    -- default: 10
    -- bar_blur 			= true,
    -- bar_part_of_window 		= true,	 -- default: true
    -- bar_precedence_over_border = true,
    -- OLD: inactive_button_color = rgb(cdd6f4)
    -- inactive_button_color = "rgb(808798)",
    -- col.text = "rgb(cdd6f4)",
    -- bar_text_font = "Segoe UI",
    -- on_double_click = "hyprctl dispatch fullscreen 1",
    -- bar_text_align = "left",
    -- -- example buttons (R -> L)
    -- -- hyprbars-button = color, size, on-click
    -- hyprbars-button = { "rgb(ff8ca1)", 16, "󰖭", "hyprctl dispatch killactive" },
    -- -- old value(s): 20
    -- hyprbars-button = { "rgb(8ca2f4)", 16, "", "hyprctl dispatch fullscreen 1" },
    -- hyprbars-button = { "rgb(8ca2f4)", 16, "", "hyprctl dispatch togglefloating" },
    
    -- other options:
    -- icon_on_hover = true,
    -- bar_color = "rgba(1e1e2e77)",
    

	
    -- bar_text_font = Jetbrains Mono Nerd Font Mono Bold
    -- bar_text_font = Comic Sans MS
    -- hyprbars-button = rgb(78dcff), 25, , hyprctl dispatch fullscreen 1
    -- hyprbars-button = rgb(78dcff), 20, , hyprctl dispatch fullscreen 1
end)
